/****************************************************************************************
 * Copyright (c) 1999 Microsoft Corporation.  All Rights Reserved.
 *
 * File:
 *  prf_common.h
 *
 * Description:
 *	
 *
 *
 ***************************************************************************************/
#ifndef __PRF_COMMON_H__
#define __PRF_COMMON_H__


/***************************************************************************************
 ********************                                               ********************
 ********************             common includes                   ********************
 ********************                                               ********************
 ***************************************************************************************/
#include "avlnode.h"
#include "container.hpp"
#include "basehlp.h"

#ifndef _SAMPLES_
	#include "testbase.h"
#endif


/***************************************************************************************
 ********************                                               ********************
 ********************             profiler macros                   ********************
 ********************                                               ********************
 ***************************************************************************************/ 
#define _PRF_ERROR( message ) \
{ \
	TEXT_OUTLN( message ) \
    BASEHELPER::LaunchDebugger( message, __FILE__, __LINE__ );	\
} \
 
#endif // __PRF_COMMON_H__

// End of File

